Main Page Class List Class Members

# Nv::Blast::FractureRTMultithreadedImpl Class Reference

`#include <NvBlastExtRTMultithreadedImpl.h>`

Inheritance diagram for Nv::Blast::FractureRTMultithreadedImpl:

List of all members.

## Classes
struct | FractureJob
struct | PerThreadToolsAndData
## Public Member Functions
void | dumpChunksToObj (const char *path) override
| FractureRTMultithreadedImpl (uint32_t threadCount)
uint32_t * | getIndexBuffer () override
uint32_t * | getIndexOffset () override
PerTriangleAdditionalData * | getPerTriangleData () override
uint32_t | getResultChunkCount () override
Vertex * | getVertexBuffer () override
uint32_t * | getVertexOffset () override
void | processMesh (DamagePattern *pattern, const Mesh *msh) override
void | release () override

## Constructor & Destructor Documentation

Nv::Blast::FractureRTMultithreadedImpl::FractureRTMultithreadedImpl | ( | uint32_t | threadCount | ) |

## Member Function Documentation

void Nv::Blast::FractureRTMultithreadedImpl::dumpChunksToObj | ( | const char * | path | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

uint32_t* Nv::Blast::FractureRTMultithreadedImpl::getIndexBuffer | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

uint32_t* Nv::Blast::FractureRTMultithreadedImpl::getIndexOffset | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

PerTriangleAdditionalData* Nv::Blast::FractureRTMultithreadedImpl::getPerTriangleData | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

uint32_t Nv::Blast::FractureRTMultithreadedImpl::getResultChunkCount | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

Vertex* Nv::Blast::FractureRTMultithreadedImpl::getVertexBuffer | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

uint32_t* Nv::Blast::FractureRTMultithreadedImpl::getVertexOffset | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

void Nv::Blast::FractureRTMultithreadedImpl::processMesh | ( | DamagePattern * | pattern,
|  | const Mesh * | msh |
| ) |  |  | `[override, virtual]`

Implements Nv::Blast::FractureRT.

void Nv::Blast::FractureRTMultithreadedImpl::release | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

The documentation for this class was generated from the following file:

- sdk/extensions/RT/source/NvBlastExtRTMultithreadedImpl.h